<?php
/*
    Plugin Name: wpan
    Plugin URI: http://www.imwpweb.com/tag/hash-postname
    Description: 自动 文章/分类/标签 别名，当固定链接为%postname%的时候非常有用
    Version: 1.4.1
    Author: imwpweb
    Author URI: http://www.imwpweb.com
*/

// 必须要求imwpf插件
if (!class_exists('imwpf\modules\Form')) {
    add_action('admin_notices', function () {
        echo "<div class='update-nag notice notice-warning inline'>AutoPostName器需要imwpf环境支持, 请安装<a href='http://www.imwpweb.com/400.html' target='_blank'>imwpf插件!</a></div>";
    });
    return;
}

// 移到最后激活
add_filter('pre_update_option_active_plugins', function ($plugins) {
    $currentPlugin = plugin_basename(__FILE__);
    $key = array_search($currentPlugin, $plugins);
    if ($key === false) {
        return $plugins;
    }
    unset($plugins[$key]);
    $plugins[] = $currentPlugin;
    return $plugins;
});

if (is_admin()) {
    $UI = new \wpan\src\UI();
    $UI->init();
    $API = new \wpan\src\API();
    $API->init();
}

$Hooks = new \wpan\src\Hooks();
$Hooks->init();
